﻿© 2007 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub WR6000 (1 yr) Leakage VER IEEE /DMM
DATE:                  2007-10-03 12:36:21
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       192
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Model(s) Covered:
#        WaveRunner 6030, 6050, 6051, 6100, and 6200
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        Sub Initialize /DMM
#        Sub Setup /DMM
#        Sub Read /DMM
#        Sub Reset /DMM
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  Global Variables Used:
#
#    @Chan
#      This register specifies which channel of the WaveRunner 6000 series
#      oscilloscope is currently being tested.
#        @Chan = 1 (Channel 1)
#        @Chan = 2 (Channel 2)
#        @Chan = 3 (Channel 3)
#        @Chan = 4 (Channel 4)
#        @Chan = 5 (EXT input)
#
#    @NumChan
#      This register specifies the number of channels the WaveRunner 6000
#      series oscilloscope has.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@DMM]
  1.003  ENDIF

  1.004  IF           @Chan < 5
  1.005  DISP         Make the following connections:
  1.005  DISP
  1.005  DISP         [32] [V @DMM_DevName]     to         UUT
  1.005  DISP
  1.005  DISP         [32] [V @DMM_InputHi] -+
  1.005  DISP         [32]                   |------> Channel [V @Chan] input
  1.005  DISP         [32] [V @DMM_InputLo] -+
  1.005  DISP
  1.005  DISP         Use a BNC double-banana plug to BNC(f) adapter
  1.005  DISP         at the DMM input. Observe polarity.
  1.006  ELSE
  1.007  DISP         Make the following connections:
  1.007  DISP
  1.007  DISP         [32] [V @DMM_DevName]     to         UUT
  1.007  DISP
  1.007  DISP         [32] [V @DMM_InputHi] -+
  1.007  DISP         [32]                   |------> EXTernal input
  1.007  DISP         [32] [V @DMM_InputLo] -+
  1.007  DISP
  1.007  DISP         Use a BNC double-banana plug to BNC(f) adapter
  1.007  DISP         at the DMM input. Observe polarity.
  1.008  ENDIF

# Initialize by first clearing all parameters, turn both traces off.
  1.009  IEEE2        PACL;C1:TRA OFF;C2:TRA OFF
# Trigger mode to Auto.
  1.010  IEEE2        TRMD AUTO
# Time/div to 50 ns.
  1.011  IEEE2        TDIV 50e-9

# If channel (@Chan) not external (1-4) perform vertical input tests.
  1.012  IF           @Chan < 5
# Set selected channel trace to on, input coupling to 50 Ohms, DC.
  1.013  IEEE2        C[V @Chan]:TRA ON;CPL D50
  1.014  RSLT         =
  1.015  RSLT         =Channel [V @Chan]
  1.016  RSLT         =
  1.017  MATH         L[1] = @Chan
  1.018  MATH         @DMM_Func = "DC_Voltage"

  1.019  RSLT         =DC, 50 Ohms
  1.020  HEAD         CH[L1] LEAKAGE VOLTAGE TEST (DC, 50 Ohms): 20 mV/div
  1.021  TSET         TDESC = 20 mV/div
  1.022  TARGET       -p
  1.023  CALL         Sub Setup /DMM
# Set selected channel to 20 mV/div.
  1.024  IEEE2        C[V @Chan]:VDIV 20e-3
  1.025  TARGET       -m
  1.026  CALL         Sub Read /DMM
  1.027  MATH         @DMM_Meas = MEM
  1.028  CALL         Sub Get Accuracy /DMM
  1.029  MATH         L[1] = @DMM_Acc
  1.030  ACC          mV             L1U
  1.031  MEMC         0.0mV          2.0U

  2.001  HEAD         CH[L1] LEAKAGE VOLTAGE TEST (DC, 50 Ohms): 200 mV/div
  2.002  TSET         TDESC = 200 mV/div
  2.003  TARGET       -p
  2.004  CALL         Sub Setup /DMM
  2.005  IEEE2        C[V @Chan]:VDIV 200e-3
  2.006  TARGET       -m
  2.007  CALL         Sub Read /DMM
  2.008  MATH         @DMM_Meas = MEM
  2.009  CALL         Sub Get Accuracy /DMM
  2.010  MATH         L[1] = @DMM_Acc
  2.011  ACC          mV             L1U
  2.012  MEMC         0.0mV          2.0U

  3.001  RSLT         =
  3.002  RSLT         =DC, 1 MOhm
  3.003  HEAD         CH[L1] LEAKAGE VOLTAGE TEST (DC, 1 MOhm): 20 mV/div
  3.004  TSET         TDESC = 20 mV/div
  3.005  TARGET       -p
  3.006  CALL         Sub Setup /DMM
  3.007  IEEE2        C[V @Chan]:VDIV 20e-3
  3.008  TARGET       -m
  3.009  CALL         Sub Read /DMM
  3.010  MATH         @DMM_Meas = MEM
  3.011  CALL         Sub Get Accuracy /DMM
  3.012  MATH         L[1] = @DMM_Acc
  3.013  ACC          mV             L1U
  3.014  MEMC         0.0mV          2.0U

  4.001  HEAD         CH[L1] LEAKAGE VOLTAGE TEST (DC, 1 MOhm): 200 mV/div
  4.002  TSET         TDESC = 200 mV/div
  4.003  TARGET       -p
  4.004  CALL         Sub Setup /DMM
  4.005  IEEE         C[V @Chan]:VDIV 200e-3
  4.006  TARGET       -m
  4.007  CALL         Sub Read /DMM
  4.008  MATH         @DMM_Meas = MEM
  4.009  CALL         Sub Get Accuracy /DMM
  4.010  MATH         L[1] = @DMM_Acc
  4.011  ACC          mV             L1U
  4.012  MEMC         0.0mV          2.0U

  5.001  ELSE
# If channel (@Chan) is external (5) perform external input tests.
  5.002  RSLT         =
  5.003  RSLT         =External Input
  5.004  HEAD         EXTERNAL INPUT LEAKAGE VOLTAGE TEST (DC, 50 Ohms)
  5.005  TSET         TDESC = DC, 50 Ohms
  5.006  TARGET       -p
  5.007  CALL         Sub Setup /DMM
# Trigger Select, Edge, Source, <selected channel>, Slope, Positive.
  5.008  IEEE2        TRSE EDGE,SR,EX;EX:TRSL POS;EX:TRCP DC50
  5.009  TARGET       -m
  5.010  CALL         Sub Read /DMM
  5.011  MATH         @DMM_Meas = MEM
  5.012  CALL         Sub Get Accuracy /DMM
  5.013  MATH         L[1] = @DMM_Acc
  5.014  ACC          mV             L1U
  5.015  MEMC         0.0mV          2.0U

  6.001  HEAD         EXTERNAL INPUT LEAKAGE VOLTAGE TEST (DC, 1 MOhm)
  6.002  TSET         TDESC = DC, 1 MOhm
  6.003  TARGET       -p
  6.004  CALL         Sub Setup /DMM
  6.005  IEEE2        TRSE EDGE,SR,EX;EX:TRSL POS;EX:TRCP DC1M
  6.006  TARGET       -m
  6.007  CALL         Sub Read /DMM
  6.008  MATH         @DMM_Meas = MEM
  6.009  CALL         Sub Get Accuracy /DMM
  6.010  MATH         L[1] = @DMM_Acc
  6.011  ACC          mV             L1U
  6.012  MEMC         0.0mV          2.0U
  7.001  ENDIF

  7.002  IEEE2        *RST
  7.003  CALL         Sub Reset /DMM
  7.004  END
